## quake-v6-bsd-kame.tar.gz

=== Makefile ===
# Generated automatically from Makefile.in by configure.
SUBDIRS = qw_client qw_server uquake
SRC_DIR = .

DESTDIR =

all:
	@for dir in $(SUBDIRS); do \
	$(MAKE) -C $$dir $@ || exit; \
	done

distclean:
	rm -f config.cache config.log config.status Makefile
	rm -f common/config.h
	find . -name \*~ | xargs rm -f
	find . -name \*.bak | xargs rm -f
	for dir in $(SUBDIRS); do \
	$(MAKE) -C $$dir $@ || exit; \
	done

clean-autoconf mrproper: distclean
	rm -f common/config.h.in
	rm -f configure

%:
	@for dir in $(SUBDIRS); do \
	$(MAKE) -C $$dir $@ || exit; \
	done


# Code to automatically re-configure, only runs if you are compiling in the
# source directory
ifeq ($(SRC_DIR),.)
configure: configure.in acconfig.h
	./bootstrap

Makefile: Makefile.in configure \
          qw_client/Makefile qw_server/Makefile uquake/Makefile
	./configure

qw_client/Makefile: qw_client/Makefile.in configure
	./configure

qw_server/Makefile: qw_server/Makefile.in configure
	./configure

uquake/Makefile: uquake/Makefile.in configure
	./configure
endif
