=== debian/changelog ===
quakeforge (0.0.9-1) unstable; urgency=low

  * Major new upstream version--Quake is GPL!

 -- Joseph Carter <knghtbrd@debian.org>  Mon,  3 Jan 2000 00:09:58 -0800

quake (1.09-1.30-2pre3.2) unstable; urgency=low

  * Build with new shlibs files - the shlibs files are now NORMAL shlibs
    files, but a patch to dpkg-shlibdeps is still required.
  * quake-common package - it exists now and everything depends on it,
    though it doesn't do anything yet but depend on the quake-lib's the
    way the quake bins used to.  Will eventually do useful stuff.
  * Fully FHS compliant now!
  * (Re)wrote descriptions for the packages
  * GLQuake packages depend on quake-common, this fixes a bug that would
    let you install glquake* without installing any quake-lib*'s..

 -- Joseph Carter <knghtbrd@debian.org>  Mon,  6 Sep 1999 14:19:53 -0700

quake (1.09-1.30-2pre3.1) unstable; urgency=low

  * Hopefully ironed out the dependencies/shlibs stuff (still uses my .
    soname patch
  * Changed the wrappers of the glquake stuff a little

 -- Joseph Carter <knghtbrd@debian.org>  Sat, 31 Jul 1999 10:54:47 -0700
 

quake (1.09-1.30-2pre3) unstable; urgency=low

  * Not released officially
  * build debs of the libs glquake bins are shipped with
  * build debs of the 3 glquake bins---all depend on the libs package FOR
    NOW (this will change) and there's no manpages for them yet, RTF
    README if you don't know the options.

 -- Joseph Carter <knghtbrd@debian.org>  Sat, 31 Jul 1999 00:42:25 -0700

quake (1.09-1.30-2) unstable; urgency=low

  * Actually compress the manpages this time

 -- Joseph Carter <knghtbrd@debian.org>  Thu, 17 Jun 1999 01:38:37 -0700

quake (1.09-1.30-1) unstable; urgency=low

  * New upstream version - glibc2 binaries at last!
  * Since the quake binaries all came in one package, I've combined the
    squake and xquake packages.

 -- Joseph Carter <knghtbrd@debian.org>  Sun, 13 Jun 1999 23:52:01 -0700

squake (1.09-1.1-15) unstable; urgency=low

  * Adopted the package - Must Have Quake!

 -- Joseph Carter <knghtbrd@debian.org>  Fri, 28 May 1999 06:32:41 -0700

squake (1.09-1.1-14) unstable; urgency=low

  * Orphaned the package, I don't maintain non-free things anymore.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 18 Mar 1999 15:00:22 -0800

squake (1.09-1.1-13) frozen unstable; urgency=low

  * Updated the copyright file with info from a very old mail from ID
    software in which they told me that repackaging it as a deb is not a
    deriviative work.
  * Updated the copyright file to include all of slicense.txt, instead of
    referencing it.
  * No code changes, and I think the copyright fixups are important enough
    to put it in to frozen.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  7 Dec 1998 15:34:16 -0800

squake (1.09-1.1-12) unstable; urgency=low

  * The wrapper can now handle uppercase .PAK files (#28781).

 -- Joey Hess <joeyh@master.debian.org>  Sat, 31 Oct 1998 21:06:48 -0800

squake (1.09-1.1-11) unstable; urgency=low

  * Modified wrapper so it will add /usr/games to the end of PATH, and run
    squake.real (w/o full filename). This is mainly to support some things
    aa quake will need to do.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  7 Sep 1998 16:58:08 -0700

squake (1.09-1.1-10) unstable; urgency=low

  * Fixed the wrapper so it runs squake.real properly even if /usr/games
    isn't in the user's PATH.
  * Added a note to the README.Debian about the common squake is suid root,
    but mouse doesn't work problem.

 -- Joey Hess <joeyh@master.debian.org>  Wed, 19 Aug 1998 22:39:23 -0700

squake (1.09-1.1-9) unstable; urgency=low

  * Removed icon=none from menu file.

 -- Joey Hess <joeyh@master.debian.org>  Wed,  5 Aug 1998 14:24:19 -0700

squake (1.09-1.1-8) unstable; urgency=low

  * Fixed wrapper not to use source bashism.

 -- Joey Hess <joeyh@master.debian.org>  Thu, 30 Jul 1998 20:48:17 -0700

squake (1.09-1.1-7) unstable; urgency=low

  * Fixed package description spelling(#18953).

 -- Joey Hess <joeyh@master.debian.org>  Thu,  5 Mar 1998 16:36:54 -0800

squake (1.09-1.1-6) unstable; urgency=low

  * Added man page for squake.
  * Fixed all other lintian errors & warnings.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 21 Feb 1998 14:01:25 -0800

squake (1.09-1.1-5) unstable; urgency=low

  * Updated standards-version.

 -- Joey Hess <joeyh@master.debian.org>  Mon,  9 Feb 1998 14:10:46 -0800

squake (1.09-1.1-4) unstable; urgency=low

  * Modified wraper script each user has an individual .quake directory in
    their home directory (#15452).

 -- Joey Hess <joeyh@master.debian.org>  Sat, 29 Nov 1997 14:22:01 -0500

squake (1.09-1.1-3) unstable; urgency=low

  * Use debhelper.
  * Don't do the runme stuff anymore, becuase ID no longer distributes a
    runme script.

 -- Joey Hess <joeyh@master.debian.org>  Sun, 16 Nov 1997 19:21:34 -0500

squake (1.09-1.1-2) unstable; urgency=low

  * Fixed postinst prompting (#12601).

 -- Joey Hess <joeyh@master.debian.org>  Mon,  8 Sep 1997 18:56:39 -0400

squake (1.09-1.1-1) unstable; urgency=low

  * New upstream release.
  * Moved to non-free.
  * Preserve file dates.
  * Added README.debian about the suid problem.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 6 May 1997 20:37:13 -0400

squake (1.07-1.0-3) unstable; urgency=low

  * Check for /etc/suid.conf, not the suidmananger binary. Actually, I let
    debstd handle it. Maybe I've finally gotten this right..

 -- Joey Hess <joeyh@master.debian.org>  Tue, 6 May 1997 20:37:13 -0400

squake (1.07-1.0-2) unstable; urgency=low

  * Fixed stupid error; will install if suidmanager is not present now.

 -- Joey Hess <joeyh@master.debian.org>  Tue, 6 May 1997 20:14:23 -0400

squake (1.07-1.0-1) unstable; urgency=low

  * New upstream release.
  * Register /usr/games/squake.real with suidregister, so permissions get
    preserved across upgrades. This lets you come up with your own security 
    scheme for making squake suid.


